<route lang="json">
{
  "style": {
    "navigationStyle": "custom"
  }
}
</route>

<template>
  <MDialog
    title="暂无权限访问该页面，请先登录"
    :visible="visible"
    no-cancel-btn
    @confirm="onConfirm"
  />
</template>

<script setup lang="ts">
  defineOptions({ name: 'Auth' })

  const visible = ref(true)
  const onConfirm = () => {
    visible.value = false
    uni.reLaunch({ url: '/pages-sub/login/index' })
  }
</script>
